#
# spec file for package opie (Version 2.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -opie pam-devel
# usedforbuild    -opie aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         opie
Version:      2.4
Release:      83
%define name_pam         pam_opie
%define version_pam	 0.21
%define prefix	         /usr
%define mandir           /usr/share/man
%define sysconfdir	 /etc
%define sbindir          /sbin
%define bindir           /bin
%define docdir           /usr/share/doc/packages/opie
%define includedir      /usr/include
Copyright:    NRL LICENSE / GPL
Group:        Utilities/Security
Provides:     opie pam_opie
Autoreqprov:  on
Source0:      %{name}-%{version}.tar.gz
Source1:      %{name_pam}-%{version_pam}.tar.gz
Patch0:	     %{name}-%{version}.diff
Patch1:	     %{name_pam}-%{version_pam}.diff
Patch2:	     %{name}-%{version}.newseed.diff 
Summary:      An OPIE module for PAM

%description
OPIE stands for "One-time Passwords In Everything". This is a PAM module
implementing this feature.

Authors:
--------
    Craig Metz <craig.metz@inner.net>

SuSE series: sec

%prep
%setup -c -T -a 0 -a 1
%patch0
%patch2
cd %{name_pam}
%patch1

%build
# build opie
cd %{name}-%{version}
CFLAGS="$RPM_OPT_FLAGS"    \
./configure                \
--prefix=%{prefix}         \
--mandir=%{mandir}         \
--sysconfdir=%{sysconfdir} \
--bindir=%{bindir}         \
--sbindir=%{sbindir}       \
--enable-insecure-override
make
# build pam_opie
cd ../%{name_pam}
make

%install
# install opie
cd %{name}-%{version}
make install
cp opie.h %{includedir}
mkdir -p %{docdir}
cp BUG-REPORT COPYRIGHT.NRL INSTALL License.TIN README %{docdir}
# install pam_opie
cd ../%{name_pam}
make install
cp README %{docdir}

%files
%dir /etc/opielocks
%config /etc/opiekeys
/bin/opieinfo
/bin/opiekey
/bin/opiesu
/bin/opielogin
/bin/opiepasswd
/bin/opiegen
/bin/otp-md4
/bin/otp-md5
/bin/opieftpd
/lib/security/pam_opie.so
%{includedir}/opie.h
%doc %{docdir}
%doc %{mandir}/man1/opiegen.1.gz
%doc %{mandir}/man1/opieinfo.1.gz
%doc %{mandir}/man1/opiekey.1.gz
%doc %{mandir}/man1/opiepasswd.1.gz
%doc %{mandir}/man1/otp-md4.1.gz
%doc %{mandir}/man1/otp-md5.1.gz
%doc %{mandir}/man4/opie.4.gz
%doc %{mandir}/man5/opieaccess.5.gz
%doc %{mandir}/man5/opiekeys.5.gz

%changelog -n opie
* Wed Aug 01 2001 - sm@suse.de
- fixed opiepasswd: seed was broken after changing passhprases
* Mon Apr 09 2001 - schwab@suse.de
- Fix missing -fPIC.
* Mon Apr 09 2001 - ro@suse.de
- don't use macro for version
* Thu Apr 05 2001 - us@suse.de
- added patch from krahmer@suse.de
- added opie.h to /usr/include
- added missing binary opiegen
* Wed Mar 28 2001 - ro@suse.de
- fixed group entry to: Utilities/Security
* Wed Mar 28 2001 - us@suse.de
- changed file permissions of /etc/opiekeys to 600
- changed file permissions of /bin/opiepasswd to 4755
- in specfile: added configure flag --enable-insecure-override
* Tue Mar 27 2001 - us@suse.de
- new version of opie 2.4
- added pam-module pam_opie 0.21
